EDIT - feature request #8474

Make TermCollection.orderRelevant usable for TermTrees
08/16/2019 02:45 PM - Andreas Miiller

Status: Closed Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.12

Severity: normal

Description

Dazu misste es:

. Beim Anlegen eines Baumes ware es sinnvoll, dass man gleich zwischen sortierten und unsortierten Baumen unterscheiden
kann (nicht notwendig, aber sinnvoll) => #9643

Strongly related to #8476 and #8477

Related issues:

Related to EDIT - bug #8465: Term nodes order in term trees is ignored in ter... Closed
Related to EDIT - feature request #6794: Improve term structure In Progress
Related to EDIT - feature request #8476: Implement support for TermCollection... Closed
Related to EDIT - feature request #8477: Implement support for TermCollection... Closed
Related to EDIT - bug #8776: Open issues for TermCollection.allowDuplicates h... Closed
Related to EDIT - bug #8774: Reimplement term tree editors to implement the g... Closed
Related to EDIT - feature request #9337: Open issues for reimplementation of ... Closed
Copied from EDIT - feature request #9643: New menu in term tree editor should... Rejected

Associated revisions

Revision 4f2c16a0 - 12/13/2019 10:03 AM - Patrick Plitzner
ref #8476, #8474, #7994, #8477 Add checkboxes for term tree flags

Revision d800b880 - 12/13/2019 12:46 PM - Patrick Plitzner
ref #8476, #8474 Set isFlat to false when creating a term tree

History

#1 - 08/16/2019 02:46 PM - Andreas Miuller

- Related to bug #8465: Term nodes order in term trees is ignored in term tree editor added

#2 - 08/16/2019 02:49 PM - Andreas Miuller

- Related to feature request #6794: Improve term structure added

#3 - 08/16/2019 03:10 PM - Andreas Miiller

- Related to feature request #8476: Implement support for TermCollection.isFlat in TaxEditor added

#4 - 08/16/2019 03:38 PM - Andreas Miiller

- Related to feature request #8477: Implement support for TermCollection.allowDuplicates in TaxEditor added
#5 - 08/16/2019 03:39 PM - Andreas Miiller
- Description updated

#6 - 09/18/2019 02:17 PM - Patrick Plitzner

- Target version changed from Release 5.10 to Release 5.11

#7 - 11/07/2019 11:15 AM - Patrick Plitzner

- Target version changed from Release 5.11 to Release 5.12

#8 - 12/13/2019 09:54 AM - Patrick Plitzner

- Status changed from New to In Progress

#9 - 12/13/2019 12:46 PM - Patrick Plitzner

- Description updated

- Status changed from In Progress to Resolved

- Assignee changed from Patrick Plitzner to Andreas Miiller

- % Done changed from 0 to 20

#10 - 12/17/2019 01:50 PM - Andreas Miiller
- Status changed from Resolved to In Progress

- Assignee changed from Andreas Muiller to Katja Luther

Only editing the flag is implemented until now so | put it back to InProgress

#11 - 12/17/2019 01:50 PM - Andreas Miiller

- Related to bug #8776: Open issues for TermCollection.allowDuplicates handling in TaxEditor added

#12 - 12/17/2019 01:53 PM - Andreas Miiller

- Related to bug #8774: Reimplement term tree editors to implement the general save strategy added

#13 - 12/17/2019 01:53 PM - Andreas Miiller

Note: saving often does not work due to issues to be solved in #8774

#14 - 01/16/2020 01:13 PM - Katja Luther

- Target version changed from Release 5.12 to Release 5.13

#15 - 03/10/2020 09:55 AM - Katja Luther

move to 5.14

#16 - 03/10/2020 09:55 AM - Katja Luther

- Target version changed from Release 5.13 to Release 5.14

#17 - 04/08/2020 05:04 PM - Andreas Miiller

- Target version changed from Release 5.14 to Release 5.15

#18 - 06/24/2020 06:55 AM - Katja Luther

- Target version changed from Release 5.15 to Release 5.18

#19 - 12/03/2020 08:32 PM - Andreas Miiller

- Related to feature request #9337: Open issues for reimplementation of termtree editors added

#20 - 12/04/2020 09:10 AM - Katja Luther

- Target version changed from Release 5.18 to Release 5.19

#21 - 04/19/2021 02:19 PM - Katja Luther

- Target version changed from Release 5.19 to Release 5.25
#22 - 05/31/2021 10:50 AM - Katja Luther

- Description updated
most of the topics are already fixed in the meanwhile.

#23 - 06/01/2021 09:55 PM - Andreas Miiller

- Copied from feature request #9643: New menu in term tree editor should have alternatives for flags added

#24 - 06/01/2021 10:15 PM - Andreas Miiller

- Description updated

- Status changed from In Progress to Closed

- Target version changed from Release 5.25 to Release 5.24

- % Done changed from 20 to 100

This seems to be completely fixed. Maybe you can find out when the last relevant commit was and attache the ticket to the according version.
Otherwise we keep it here.

#25 - 07/09/2021 01:49 PM - Andreas Miiller

- Target version changed from Release 5.24 to Release 5.12
